> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Keyword Analysis

> Get keyword information including monthly search volume, SEO difficulty and competition score.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "keyword_details": [
      {
        "keyword": "Earn Money",
        "monthlysearch": 94303,
        "competition_score": 54,
        "difficulty": "High",
        "overallscore": 63
      }
    ],
    "related_keywords": [
      {
        "keyword": "earn money online",
        "monthlysearch": 303595,
        "competition_score": 42,
        "difficulty": "Medium",
        "overallscore": 72,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "how to earn money online",
        "monthlysearch": 115271,
        "competition_score": 38,
        "difficulty": "Medium",
        "overallscore": 70,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "side hustle ideas",
        "monthlysearch": 14344,
        "competition_score": 43,
        "difficulty": "Medium",
        "overallscore": 60,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "passive income",
        "monthlysearch": 215214,
        "competition_score": 66,
        "difficulty": "High",
        "overallscore": 62,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "online business",
        "monthlysearch": 153210,
        "competition_score": 60,
        "difficulty": "High",
        "overallscore": 62,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "make money online",
        "monthlysearch": 578521,
        "competition_score": 70,
        "difficulty": "High",
        "overallscore": 64,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "side hustles",
        "monthlysearch": 67864,
        "competition_score": 64,
        "difficulty": "High",
        "overallscore": 58,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "best ways to make money",
        "monthlysearch": 15546,
        "competition_score": 48,
        "difficulty": "Medium",
        "overallscore": 58,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "how to make money",
        "monthlysearch": 437169,
        "competition_score": 38,
        "difficulty": "Medium",
        "overallscore": 76,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "online jobs for students",
        "monthlysearch": 2158,
        "competition_score": 33,
        "difficulty": "Medium",
        "overallscore": 57,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "best ways to make money online",
        "monthlysearch": 16327,
        "competition_score": 52,
        "difficulty": "High",
        "overallscore": 57,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "kindle self publishing",
        "monthlysearch": 1416,
        "competition_score": 21,
        "difficulty": "Low",
        "overallscore": 60,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "how to earn from home",
        "monthlysearch": 1393,
        "competition_score": 34,
        "difficulty": "Medium",
        "overallscore": 55,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "best ways to",
        "monthlysearch": 1479,
        "competition_score": 57,
        "difficulty": "High",
        "overallscore": 46,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "how to make money online",
        "monthlysearch": 846127,
        "competition_score": 32,
        "difficulty": "Medium",
        "overallscore": 80,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "how to make money from home",
        "monthlysearch": 13663,
        "competition_score": 33,
        "difficulty": "Medium",
        "overallscore": 64,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "youtube automation",
        "monthlysearch": 840781,
        "competition_score": 40,
        "difficulty": "Medium",
        "overallscore": 77,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "make money for free",
        "monthlysearch": 1233,
        "competition_score": 41,
        "difficulty": "Medium",
        "overallscore": 51,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "making money online",
        "monthlysearch": 68759,
        "competition_score": 49,
        "difficulty": "Medium",
        "overallscore": 64,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "rise above reality",
        "monthlysearch": 17194,
        "competition_score": 18,
        "difficulty": "Low",
        "overallscore": 71,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "online income",
        "monthlysearch": 10792,
        "competition_score": 53,
        "difficulty": "High",
        "overallscore": 55,
        "last_update": "07-08-2025"
      },
      {
        "keyword": "work from home jobs",
        "monthlysearch": 117227,
        "competition_score": 52,
        "difficulty": "High",
        "overallscore": 65,
        "last_update": "07-08-2025"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-keyword-analysis
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-keyword-analysis:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-keyword-analysis
      operationId: get_wf_youtube-keyword-analysis
      parameters:
        - name: keyword
          in: query
          required: true
          description: Keyword to analyze
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````